import { ApiResponseOptions } from '@nestjs/swagger';
export declare class Paginated<T> {
    items: T[];
    page: number;
    size: number;
    total: number;
    hasMore: boolean;
}
export declare class PaginatedQuery {
    page: number;
    size: number;
    orderBy: string;
}
export declare const ApiPaginatedResponse: (options: ApiResponseOptions & {
    response: any;
}) => <TFunction extends Function, Y>(target: object | TFunction, propertyKey?: string | symbol | undefined, descriptor?: TypedPropertyDescriptor<Y> | undefined) => void;
