import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { AsyncContext } from '@nestjs-steroids/async-context';
import { Observable } from 'rxjs';
export declare const TRACE_ID = "x-sp-trace-id";
export declare type Context = {
    [TRACE_ID]: string;
};
export declare class ContextInterceptor implements NestInterceptor {
    private readonly ac;
    constructor(ac: AsyncContext<string, any>);
    intercept(context: ExecutionContext, next: CallHandler): Observable<unknown>;
}
